﻿@model IEnumerable<Generic_appWeb.Models.Conjunto_dato_tecnico>

<div class="card card-success">
    <div class="card-header">
        <section class="content-header">
            <h3>LISTA CONJUNTO DATO TECNICO</h3>
        </section>

    </div>
    <div class="card-body">
        <p>
            <button type="button" class="btn btn-info" onclick="location.href='@Url.Action("Create", "Conjunto_dato_tecnico")'">CREAR</button>
        </p>
        <div class="col-xl-12">
            <table id="Tablas" class="table table-bordered table-responsive">
                <thead>
                    <tr>

                        <th colspan="3" style="text-align:center">CODIGOS </th>

                        <th colspan="3" style="text-align:center">DESCRIPCIONES</th>
                        <th colspan="2"></th>
                        <th colspan="2"  style="text-align:center">FECHAS</th>
                        <th colspan="2"  style="text-align:center"> USUARIOS</th>
                        <th colspan="3"></th>


                    </tr>
                    <tr>
                        <th> INTERNO</th>
                        <th> EMPRESA</th>
                        <th> ALTERNO</th>

                        <th> LARGA</th>
                        <th> MEDIANA</th>
                        <th> CORTA</th>

                        <th>ABREVIACION</th>
                        <th>OBSERVACION</th>

                        <th>CREACION </th>
                        <th>MODIFICACION</th>
                        <th>CREACION</th>
                        <th>MODIFICACION</th>

                        <th>SECUENCIA</th>


                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <thead class="filters">
                    <tr>
                        <th> INTERNO</th>
                        <th> EMPRESA</th>
                        <th> ALTERNO</th>

                        <th> LARGA</th>
                        <th> MEDIANA</th>
                        <th> CORTA</th>

                        <th>ABREVIACION</th>
                        <th>OBSERVACION</th>

                        <th>CREACION </th>
                        <th>MODIFICACION</th>
                        <th>CREACION</th>
                        <th>MODIFICACION</th>

                        <th>SECUENCIA</th>

                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>

                    @foreach (var item in Model)
                    {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_id)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_codigo_empresa)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_codigo_alterno)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_descripcion_larga)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_descripcion_med)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_descripcion_corta)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_abreviacion)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_observacion)
                        </td>



                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_fecha_creacion)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_fecha_modificacion)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_usuario_creacion.Users_descripcion_corta)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_usuario_modificacion.Users_descripcion_corta)
                        </td>


                        <td>
                            @Html.DisplayFor(modelItem => item.CDTec_secuencia)
                        </td>
                        <td>
                            <a asp-action="Edit" asp-route-id="@item.CDTec_id" class="btn btn-info">Editar</a>
                        </td>
                        <td>
                            <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.CDTec_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                        </td>
                    </tr>
                    }
                </tbody>

            </table>

        </div>
        </div>

    </div>



@section Scripts
    {
    <script src="~/Js/Tipos_estados_index.js"></script>
}

